This is just a suggestion that I think would make the site a little better and more than likely keep the security risks down.

I think you should upgrade from the current version 3.8.4 to the new...